正在加载
请稍等

菜单

汇总: 2017年8月21日

Home 2017 八月
Home 2017 八月

部署 LAMP (CentOS 7.2)

linux by

简介 LAMP指Linux+Apache+Mysql/MariaDB+Perl/PHP/Python是一组常用来搭建动态网站或者服务器的开源软件,本身都是各自独立的程序,但是因为常被放在一起使用,拥有了越来越高的兼容度,共同组成了一个强大的Web应用程序平台。 部署方式 在阿里云服务器下部署LAMP提供三种部署方式,镜像部署、一键安装包部署和手动部署(…

阅读全文

 

21 2017-08

搭建LNMP环境(CentOS 6)

linux by

本文档介绍如何使用一台普通配置的云服务器ECS实例搭建LNMP平台的web环境。 Linux:自由和开放源码的类UNIX操作系统。 Nginx:轻量级网页服务器、反向代理服务器。 MySQL:关系型数据库管理系统。 PHP:主要适用于Web开发领域的一种脚本语言。 适用对象 适用于熟悉Linux操作系统,刚开始使用阿里云进行建站的个人用户。 …

阅读全文

 

21 2017-08

php使用smtp封装类发送邮件

PHP by

需要用PHP发送邮件,不想要phpmailer那么复杂,找来找去,总算找到了一个好用的,分享出来,代码如下. PHP邮件发送类,一共包含两个文件. sent_mail.php <?php require_once (’email.class.php’); //########################################## $smtpserver = “smtp.163.com”;//SMTP服务器 $smtpse…

阅读全文

 

16 2017-08

腾讯开放平台创建应用的坑,安卓和iOS端如何共用同一个Appid?

其他 by

很多人遇到一种情况,就是自己的应用使用QQ登录的时候,在不同客户端,返回的openid竟然不一样,导致统一个用户在不同客户端创建了不同的账号。 这时候有两种解决方法: 第一种:需要发邮件给腾讯开放平台进行数据打通,具体如下 数据打通流程:现支持同一个开发者账号下的网站应用和移动应用进行数据打通。 申请的应用…

阅读全文

 

10 2017-08

swiftmailer 5.4使用(PHP>5.3)

PHP by

swiftmailer 6需要PHP7才能支持,由于服务器暂时还是PHP5.6版本,只能使用swiftmailer5.4 安装: composer require swiftmailer/swiftmailer 使用: require_once './swiftmailer/vendor/autoload.php'; // Create the Transport $transport = Swift_SmtpTransport::newInstance('smtp.qq.com', 25) ->setUsername('**…

阅读全文

 

04 2017-08